CHROOT(2)

NAME
chroot - change root directory

SYNOPSIS
chroot(dirname)
char *dirname;

DESCRIPTION
Dirname is the address of the pathname of a directory, terminated by a null byte. Chroot causes this directory to become the root directory, the starting point for path names beginning with ``/''.

In order for a directory to become the root directory a process must have execute (search) access to the directory.

This call is restricted to the super-user.

RETURN VALUE
Upon successful completion, a value of 0 is returned. Otherwise, a value of -1 is returned and errno is set to indicate an error.

ERRORS
Chroot will fail and the root directory will be unchanged if one or more of the following are true:

[EPERM]
    The caller is not the super-user.

[ENOTDIR]
    A component of the path name is not a directory.

[EINVAL]
    The pathname contains a character with the high-order bit set.

[ENAMETOOLONG]
    A component of a pathname exceeded 255 characters, or an entire path name exceeded 1023 characters.

[ENOENT]
    The named directory does not exist.

[EACCES]
    Search permission is denied for any component of the path name.

[ELOOP]
    Too many symbolic links were encountered in translating the pathname.

[EFAULT]
    Path points outside the process's allocated address space.

[EIO]
    An I/O error occurred while reading from or writing to the file system.

SEE ALSO
chdir(2)